Overview
GET
/account/mfamfaThe caller's enrolled second factors + preferred method
List mfa.
Auth: bearerAuth — calls run as the authenticated user.
Responses
200
Factor status
- smsboolean
- totpboolean
- webauthnboolean
- totpPendingboolean
A TOTP enrollment awaits confirmation
- recoveryRemaininginteger
Unused recovery codes
- preferredMethod"sms" | "totp" | "webauthn" | null
Example
{
"sms": true,
"totp": true,
"webauthn": true,
"totpPending": true,
"recoveryRemaining": 0,
"preferredMethod": "sms"
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/account/mfa" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/account/mfa", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();